const path = require('path');
const webpack = require('webpack');

// Add support for Phaser webpack build.
// const phaserModule = path.join(__dirname, 'node_modules/phaser-ce/build/custom/');
// const phaser = path.join(phaserModule, 'phaser.js');
// const pixi = path.join(phaserModule, 'pixi.js');
// const p2 = path.join(phaserModule, 'p2.js');

// Define the Webpack config.
const config = {
  devtool: false,
  entry: {
    index: [
      path.resolve(__dirname, 'src/index.js'),
    ],
    // vendor: [
    //   'pixi',
    //   'p2',
    //   'phaser',
    //   'webfontloader',
    // ],
  },
  output: {
    path: path.resolve(__dirname, 'dist'),
    publicPath: '/dist/',
    filename: '[name].js',
  },
  // resolve: {
  //   alias: {
  //     phaser,
  //     pixi,
  //     p2,
  //   },
  // },
  node: {
    fs: 'empty',
    net: 'empty',
    tls: 'empty',
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        loader: 'buble-loader',
        exclude: /node_modules/,
        options: {
          objectAssign: 'Object.assign',
        },
      },
    ],
  },
};

module.exports = config;
